For the complete documentation index, see llms.txt. This page is also available as Markdown.

Clients

Get

get

Retrieve the client settings

Query parameters
siteIdinteger · int32Optional

Site ID from which to retrieve the Client settings (optional).

Responses
200

Success

application/json; api-version=1.0

RAS Client Settings

excludeDirectRDPstring · nullableOptional

Exclude Direct RDP Connections for terminal servers.

excludeDirectRDPForVDIstring · nullableOptional

Exclude Direct RDP Connections for VDI.

sendHDIconsbooleanOptional

Enable or disable Sending HD Icons.

replicateSendHDIconsbooleanOptional

Enable replicate Sending HD Icons.

enableOverlayIconsbooleanOptional

Enable or disable Overlay Icons (deprecated).

overlayIconstring · enumOptional

Overlay Icon Type.

Possible values:
showPasswordExpirybooleanOptional

Show or hide Password Expiry reminder.

forceSessionsResetbooleanOptional

Enable or disable Force sessions reset when client performs a logoff.

tokenValidationExpireMininteger · int32Optional

Token Validation Time. The time for a validation token to expire in minutes.

get/api/ClientSettings
GET /api/ClientSettings HTTP/1.1
Accept: */*
{
  "excludeDirectRDP": "text",
  "excludeDirectRDPForVDI": "text",
  "sendHDIcons": true,
  "replicateSendHDIcons": true,
  "enableOverlayIcons": true,
  "overlayIcon": [
    "0 = None",
    "1 = ParallelsRemoteApplication",
    "2 = MicrosoftRemoteApp",
    "3 = Custom"
  ],
  "showPasswordExpiry": true,
  "forceSessionsReset": true,
  "tokenValidationExpireMin": 1
}

Update

put

Modify Client Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the Client settings (optional).

Body
sendHDIconsboolean · nullableOptional

Enable or disable Sending HD Icons.

replicateSendHDIconsboolean · nullableOptional

Enable or disable replicate Sending HD Icons.

overlayIconstring · enumOptional

Overlay Icon Type.

Possible values:
showPasswordExpiryboolean · nullableOptional

Show or hide Password Expiry reminder.

forceSessionsResetboolean · nullableOptional

Enable or disable Force sessions reset when client performs a logoff.

tokenValidationExpireMininteger · int32 · nullableOptional

Token Validation Time. The time for a validation token to expire in minutes.

Responses
204

No Content

No content

put/api/ClientSettings
PUT /api/ClientSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 227

{
  "sendHDIcons": true,
  "replicateSendHDIcons": true,
  "overlayIcon": [
    "0 = None",
    "1 = ParallelsRemoteApplication",
    "2 = MicrosoftRemoteApp",
    "3 = Custom"
  ],
  "showPasswordExpiry": true,
  "forceSessionsReset": true,
  "tokenValidationExpireMin": 1
}

No content

Last updated